#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Setup script"""

import configparser
import setuptools

config = configparser.ConfigParser()
config.read('setup.cfg')

setuptools.setup(
    scripts=['backup_imap/backup_imap.py'],
    author="Antonio J. Delgado",
    version=config['metadata']['version'],
    name=config['metadata']['name'],
    author_email="antonio@delgado.fi",
    url="https://repos.susurrando.com/adelgado/backup_imap",
    description="Backup an IMAP account into a folder",
    long_description="README.md",
    long_description_content_type="text/markdown",
    license="GPLv3",
    # keywords=["my", "script", "does", "things"]
)
